import org.junit.Assert;
import org.junit.Test;

public class FizzBuzzTest {

    @Test
    public void fizzBuzzOf3Test() {
        // Given
        int x = 3;
        String expectedResult = "Fizz";

        // When
        String actualResult = FizzBuzz.of(x);

        // Then
        Assert.assertEquals(expectedResult, actualResult);
    }

    @Test
    public void fizzBuzzOf5Test() {
        // Given
        int x = 5;
        String expectedResult = "Buzz";

        // When
        String actualResult = FizzBuzz.of(x);

        // Then
        Assert.assertEquals(expectedResult, actualResult);
    }

    @Test
    public void fizzBuzzOf15Test() {
        // Given
        int x = 15;
        String expectedResult = "FizzBuzz";

        // When
        String actualResult = FizzBuzz.of(x);

        // Then
        Assert.assertEquals(expectedResult, actualResult);
    }

    @Test
    public void fizzBuzzOf2Test() {
        // Given
        int x = 2;
        String expectedResult = "2";

        // When
        String actualResult = FizzBuzz.of(x);

        // Then
        Assert.assertEquals(expectedResult, actualResult);
    }


}
